export { default as default } from './actions.svelte.js';
export { default as l10n } from 'flatpickr_plus/dist/l10n';
export type { DateLimit, DateOption, Hook, FlatpickrOptions } from './types.js';
/**
 * Enum-like object defining available theme names
 * @enum {string}
 */
export declare const themeNames: {
    default: string;
    light: string;
    dark: string;
    materialBlue: string;
    materialGreen: string;
    materialRed: string;
    materialOrange: string;
    airbnb: string;
    confetti: string;
};
/**
 * Retrieves a CSS file for a given theme name.
 *
 * @param { string } themeName - The name of the theme to load
 * @returns { Promise < string | null >} The CSS content of the theme or null if not found
 *
 * @example
 * // Successful theme load
 * const darkTheme = await themes('dark');
 *
 * @example
 * // Theme not found
 * const missingTheme = await themes('nonexistent');
 * // Returns null
 */
export declare function themeChanger(themeName: any): Promise<any>;
export declare function currentTheme(): string;
